package com.yn.bftl.thirdparty.modules.chinaums.enums;

import lombok.AllArgsConstructor;

/**
 * @program: yn-byx-thirdparty
 * @description: 订单支付状态（我们系统使用的枚举）
 * @author: Jing
 * @create: 2024-08-27 17:04
 **/
@AllArgsConstructor
public enum OrderPaymentStatusEnum {
    SUCCEEDED("succeeded", "成功"),
    PROCESSING("processing", "处理中"),
    FAILED("failed", "失败");


    private final String value;
    private final String name;

    public String getValue() {
        return this.value;
    }

    public String getName() {
        return this.name;
    }
}
